Utils.h File Reference
`#include "platform/Mutex.h"`
`#include "platform/Log.h"`
`#include <string>`
`#include <locale>`
`#include <algorithm>`
`#include <sstream>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | OpenZWave::LockGuard

## Namespaces

| OpenZWave

## Functions

string | OpenZWave::ToUpper (string const &_str)
string | OpenZWave::ToLower (string const &_str)
void | OpenZWave::split (std::vector< std::string > &lst, const std::string &input, const std::string &separators, bool remove_empty=true)
std::string & | OpenZWave::trim (std::string &s)
void | OpenZWave::PrintHex (std::string prefix, uint8_t const *data, uint32 const length)
string | OpenZWave::PktToString (uint8 const *data, uint32 const length)